# GM - User Grid Split View

## **Documentation**

**GM - User Grid Split View** component is designed to help users achieving a clearer view of the User Grids and streamline grids management.

**Use case:** Display the User Grids created based on the opportunity object. see [**Grid - User Grid Split View**](https://app.gitbook.com/o/-MExKsPRmZY_gq8CXAcj/s/-MEsSbGy_U_OhthKUpxu/~/changes/359/advanced-guides/grid-user-grid-split-view)

## **Specification**

<table data-full-width="true"><thead><tr><th width="213.33333333333331">Property</th><th width="199">Type</th><th>Description</th></tr></thead><tbody><tr><td>Target Object</td><td>String</td><td>The name of the object used for displaying only its User Grids.</td></tr><tr><td>Split View Name</td><td>String</td><td>Unique split view name to identify the component on the page.</td></tr><tr><td>Default Grid</td><td>String</td><td><strong>Developer Name</strong> of the User Grid that we want to set as the default Grid.</td></tr><tr><td>List Label</td><td>String</td><td>Set the label of the split view displayed on the left side.</td></tr><tr><td>Grid Filter</td><td>String</td><td><p>JSON string defining the grid filter criteria, which is applied to get the list of grids to display.</p><pre class="language-json"><code class="lang-json">{
    "Name": {
        "operator": "in",
        "value": "('GM Opportunity Grid','Pipeline Opportunity Grid')"
    }
}
</code></pre></td></tr><tr><td>Inline Filter</td><td>String</td><td>Json string to define an extra filter criteria to the grid in the context of the split view. this filter gets added to the grid admin filter.</td></tr><tr><td>View Height</td><td>Integer</td><td><p>Set the grid height. Set this property if you want to control the height and show up components after the grid. </p><p>The user has to scroll vertically to see more records.</p><p></p><p> If the value is set 9999, The grid will use the remaining space on the page even if the user resizes the window. This behavior is relevant to build a responsive app page.</p></td></tr><tr><td>Enable Create</td><td>Boolean</td><td>Check this option if you want to create a grid.</td></tr><tr><td>Collapse Split View</td><td>Boolean</td><td>Check this option if you want to collapse the split view by default.</td></tr><tr><td>Enable Toggle Fullscreen</td><td>Boolean</td><td>Check this option if you want to enable toggle fullscreen.</td></tr><tr><td>Hide App Header</td><td>Boolean</td><td>Check this option if you want to hide the app page header. This option is useful only if the component is used in an App Page.</td></tr><tr><td>Disable Navigation</td><td>Boolean</td><td>Check this option to disable the navigation to the grid record page.</td></tr></tbody></table>

## **API Reference**

{% tabs fullWidth="true" %}
{% tab title="UserGridSplitViewComponent.design" %}
{% code fullWidth="true" %}

```xml
<design:component label="GM - User Grid Split View">
    <design:attribute name="targetObject" label="Target Object" 
                      description="Target Object API Name"/>                                                         
                         
    <design:attribute name="splitViewName" label="Split View Name" 
                      description="Unique split view name to identify the component on the page"/>

    <design:attribute name="defaultUserGrid" label="Default Grid" 
                      description="Default grid to load"/>    

    <design:attribute name="objectLabel" label="List Label" 
                      description="List Label"/>    

    <design:attribute name="gridFilter" label="Grid Filter" 
                      description="Json string to define user grid filter criteria"/>        

    <design:attribute name="adminFilter" label="Inline Filter" 
                      description="Json string to define inline filter criteria"/>        

    <design:attribute name="height" label="View Height" 
                      description="Set the view height"/>  

    <design:attribute name="canCreate" label="Enable Create" 
                      description="Check this option if you want to create a grid"/>

    <design:attribute name="inline" label="Disable Refresh View" 
                      description="Check this option if you want to disable the view refresh after an update"/>

    <design:attribute name="collapseSplitView" label="Collapse Split View" 
                      description="Check this option if you want to collapse the split view"/>                                                  

    <design:attribute name="noNavigation" label="Disable Navigation" 
                      description="Hide the navigation to the grid"/> 

    <design:attribute name="canToggleFullscreen" label="Enable Toggle Fullscreen" 
                      description="Check this option if you want to enable toggle fullscreen"/>   

    <design:attribute name="noLexHeader" label="Hide App Header" 
                      description="Hide the app page header"/>                         

    <design:attribute name="density" label="Density" 
                      description="Grid density : comfy | compact"/>                            
</design:component>
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gridmate.io/package-reference/components-library/gm-user-grid-split-view.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
